API Documentation
  1. API Documentation - Version 3
API Documentation
  • API Documentation - Version 3
    • Getrate API
      POST
    • Purchase API
      POST
    • Get All Orders API
      POST
    • Get Order Detail API
      POST
    • Cancel Orders API
      POST
    • Get PodInfo API
      POST
    • Get Label API
      POST
    • Get TrackingInfo API
      POST
    • Create Manifest
      POST
    • Get Manifest
      POST
    • GetBreakdown
      POST
  1. API Documentation - Version 3

Create Manifest

Developing
POST
/api/v3/shipment/dhl/manifest/create
For single creation of a manifest, pass the orderId.
For batch creation of manifests, pass the orderIds.
Note: When passing orderIds, it must be in an array format, e.g., [ORDER_ID_1, ORDER_ID_2].
exactly one of the two parameters must be passed.

Request

Body Params application/json

Example
{
  "accessToken": "string",
  "orderId": "68c76fa9d6a2c317b7798c50"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.batchship.com/api/v3/shipment/dhl/manifest/create' \
--header 'Content-Type: application/json' \
--data-raw '{
  "accessToken": "string",
  "orderId": "68c76fa9d6a2c317b7798c50"
}'

Responses

🟢200成功
application/json
Body

Examples
{
    "success": true,
    "payload": {
        "link": "link",
        "orderId": "ORDER_ID",
        "shipmentId": "6101010900349455",
        "serviceCode": "dhl_1.0",
        "mode": "production",
        "pickupNumber": "5403049"
    }
}
Modified at 2026-02-28 08:24:24
Previous
Get TrackingInfo API
Next
Get Manifest
Built with